"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _materialKitReact = require("../material-kit-react");

var customCheckboxRadioSwitch = function customCheckboxRadioSwitch(theme) {
  return {
    checkRoot: {
      padding: "14px"
    },
    radioRoot: {
      padding: "16px"
    },
    checkboxAndRadio: {
      position: "relative",
      display: "block",
      marginTop: "10px",
      marginBottom: "10px"
    },
    checkboxAndRadioHorizontal: {
      position: "relative",
      display: "block",
      "&:first-child": {
        marginTop: "10px"
      },
      "&:not(:first-child)": {
        marginTop: "-14px"
      },
      marginTop: "0",
      marginBottom: "0"
    },
    checked: {
      color: theme.palette.primary.main + "!important"
    },
    checkedIcon: {
      width: "20px",
      height: "20px",
      border: "1px solid rgba(0, 0, 0, .54)",
      borderRadius: "3px"
    },
    uncheckedIcon: {
      width: "0px",
      height: "0px",
      padding: "9px",
      border: "1px solid rgba(0, 0, 0, .54)",
      borderRadius: "3px"
    },
    disabledCheckboxAndRadio: {
      opacity: "0.45"
    },
    label: {
      cursor: "pointer",
      paddingLeft: "0",
      color: "rgba(0, 0, 0, 0.8)",
      fontSize: "14px",
      lineHeight: "1.428571429",
      fontWeight: "400",
      display: "inline-flex",
      transition: "0.3s ease all"
    },
    labelHorizontal: {
      color: "rgba(0, 0, 0, 0.8)",
      cursor: "pointer",
      display: "inline-flex",
      fontSize: "14px",
      lineHeight: "1.428571429",
      fontWeight: "400",
      paddingTop: "39px",
      marginRight: "0",
      "@media (min-width: 992px)": {
        float: "right"
      }
    },
    labelHorizontalRadioCheckbox: {
      paddingTop: "22px"
    },
    labelLeftHorizontal: {
      color: "rgba(0, 0, 0, 0.26)",
      cursor: "pointer",
      display: "inline-flex",
      fontSize: "14px",
      lineHeight: "1.428571429",
      fontWeight: "400",
      paddingTop: "22px",
      marginRight: "0"
    },
    labelError: {
      color: _materialKitReact.dangerColor
    },
    radio: {
      color: theme.palette.primary.main + "!important"
    },
    radioChecked: {
      width: "16px",
      height: "16px",
      border: "1px solid " + theme.palette.primary.main,
      borderRadius: "50%"
    },
    radioUnchecked: {
      width: "0px",
      height: "0px",
      padding: "7px",
      border: "1px solid rgba(0, 0, 0, .54)",
      borderRadius: "50%"
    },
    inlineChecks: {
      marginTop: "8px"
    },
    iconCheckbox: {
      height: "116px",
      width: "116px",
      color: _materialKitReact.grayColor,
      "& > span:first-child": {
        borderWidth: "4px",
        borderStyle: "solid",
        borderColor: "#CCCCCC",
        textAlign: "center",
        verticalAlign: "middle",
        borderRadius: "50%",
        color: "inherit",
        margin: "0 auto 20px",
        transition: "all 0.2s"
      },
      "&:hover": {
        color: _materialKitReact.roseColor,
        "& > span:first-child": {
          borderColor: _materialKitReact.roseColor
        }
      }
    },
    iconCheckboxChecked: {
      color: _materialKitReact.roseColor,
      "& > span:first-child": {
        borderColor: _materialKitReact.roseColor
      }
    },
    iconCheckboxIcon: {
      fontSize: "40px",
      lineHeight: "111px"
    },
    switchBase: {
      color: theme.palette.primary.main + "!important"
    },
    switchIcon: {
      boxShadow: "0 1px 3px 1px rgba(0, 0, 0, 0.4)",
      color: "#FFFFFF !important",
      border: "1px solid rgba(0, 0, 0, .54)",
      transform: "translateX(-4px)!important"
    },
    switchIconChecked: {
      borderColor: theme.palette.primary.main,
      transform: "translateX(0px)!important"
    },
    switchBar: {
      width: "30px",
      height: "15px",
      backgroundColor: "rgb(80, 80, 80)",
      borderRadius: "15px",
      opacity: "0.7!important"
    },
    switchChecked: {
      "& + $switchBar": {
        backgroundColor: theme.palette.primary.main + "!important"
      }
    }
  };
};

var _default = customCheckboxRadioSwitch;
exports.default = _default;