"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _withStyles = _interopRequireDefault(require("@material-ui/core/styles/withStyles"));

var _Header = _interopRequireDefault(require("../../components/Header/Header"));

var _Footer = _interopRequireDefault(require("../../components/Footer/Footer"));

var _GridContainer = _interopRequireDefault(require("../../components/Grid/GridContainer"));

var _GridItem = _interopRequireDefault(require("../../components/Grid/GridItem"));

var _Button = _interopRequireDefault(require("../../components/CustomButtons/Button"));

var _HeaderLinks = _interopRequireDefault(require("../../components/Header/HeaderLinks"));

var _Parallax = _interopRequireDefault(require("../../components/Parallax/Parallax"));

var _landingPage = _interopRequireDefault(require("../../assets/jss/material-kit-react/views/landingPage"));

var _ProductSection = _interopRequireDefault(require("./Sections/ProductSection"));

var _TeamSection = _interopRequireDefault(require("./Sections/TeamSection"));

var _WorkSection = _interopRequireDefault(require("./Sections/WorkSection"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var dashboardRoutes = [];

var LandingPage =
/*#__PURE__*/
function (_React$Component) {
  _inherits(LandingPage, _React$Component);

  function LandingPage() {
    _classCallCheck(this, LandingPage);

    return _possibleConstructorReturn(this, _getPrototypeOf(LandingPage).apply(this, arguments));
  }

  _createClass(LandingPage, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          classes = _this$props.classes,
          rest = _objectWithoutProperties(_this$props, ["classes"]);

      return _react.default.createElement("div", null, _react.default.createElement(_Header.default, _extends({
        color: "transparent",
        routes: dashboardRoutes,
        brand: "Material Kit React",
        rightLinks: _react.default.createElement(_HeaderLinks.default, null),
        fixed: true,
        changeColorOnScroll: {
          height: 400,
          color: "white"
        }
      }, rest)), _react.default.createElement(_Parallax.default, {
        filter: true,
        image: require("../../assets/img/landing-bg.jpg")
      }, _react.default.createElement("div", {
        className: classes.container
      }, _react.default.createElement(_GridContainer.default, null, _react.default.createElement(_GridItem.default, {
        xs: 12,
        sm: 12,
        md: 6
      }, _react.default.createElement("h1", {
        className: classes.title
      }, "Your Story Starts With Us."), _react.default.createElement("h4", null, "Every landing page needs a small description after the big bold title, that's why we added this text here. Add here all the information that can make you or your product create the first impression."), _react.default.createElement("br", null), _react.default.createElement(_Button.default, {
        color: "danger",
        size: "lg",
        href: "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
        target: "_blank",
        rel: "noopener noreferrer"
      }, _react.default.createElement("i", {
        className: "fas fa-play"
      }), "Watch video"))))), _react.default.createElement("div", {
        className: (0, _classnames.default)(classes.main, classes.mainRaised)
      }, _react.default.createElement("div", {
        className: classes.container
      }, _react.default.createElement(_ProductSection.default, null), _react.default.createElement(_TeamSection.default, null), _react.default.createElement(_WorkSection.default, null))), _react.default.createElement(_Footer.default, null));
    }
  }]);

  return LandingPage;
}(_react.default.Component);

var _default = (0, _withStyles.default)(_landingPage.default)(LandingPage);

exports.default = _default;